{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Common Rates
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Common Rates
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">

            <div class="row">
                <form method="POST" class="form-horizontal" id="duration_form">
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select duration</label>
                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <select id="select_duration" class="form-control">
                                {% for duration in all_durations %}
                                    {% if duration == selected_duration %}
                                        <option selected="selected"
                                                value="{{ duration.pk }}">{{ duration }}</option>
                                    {% else %}
                                        <option value="{{ duration.pk }}">{{ duration }}</option>
                                    {% endif %}
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <div class="table-responsive">
                <table id="table" class="table table-condensed table-bordered">
                    <thead>
                    <tr>
                        <th>Description</th>
                        <th>Cost per day</th>
                        <th>Extra</th>
                        <th>INAM</th>
                        <th>Cleaning Charges</th>
                        <th>Security</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for entry in list_of_entries %}
                        <tr>
                            <td>
                                <a href="


                                        {% url 'edit_common_rates' %}{{ entry.query_string }}&duration_id={{ selected_duration.pk }}">
                                    {{ entry.description }}
                                </a>
                            </td>
                            <td>{{ entry.common_rates.cost_per_day }}</td>
                            <td>{{ entry.common_rates.extra_charge }}</td>
                            <td>{{ entry.common_rates.inam }}</td>
                            <td>{{ entry.common_rates.cleaning_charges }}</td>
                            <td>{{ entry.common_rates.security }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('#select_duration').change(function () {
                //alert('sid');
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.value, name: 'selected_duration'});
                $hiddenInput.appendTo('form');
                $('#duration_form').submit();
            });
        });
    </script>
{% endblock %}